/**
 * Cron常用表达式模块
 * @date 2022-03
 * @author 何华东
 */

/**
 * Cron表达式
 */
export default class CronExpression {
    /**
     * 每{seconds}秒
     */
    static everySecondsOn(seconds) {
        return `*/${seconds} * * * * ?`;
    }

    /**
     * 每{minutes}分钟
     */
    static everyMinutesOn(minutes) {
        return `0 */${minutes} * * * ?`;
    }

    /**
     * 每{hours}小时
     */
    static everyHoursOn(hours) {
        return `0 0 */${hours} * * ?`;
    }

    /**
     * 每天{clock}点
     */
    static everyClockOn(clock) {
        return `0 0 ${clock} * * ?`;
    }
}

export { CronExpression }